Package net.shibboleth.idp.cas.proxy

# Class ProxyIdentifiers

java.lang.Object
net.shibboleth.idp.cas.proxy.ProxyIdentifiers

public class ProxyIdentifiers extends Object
Container for identifiers used in authenticating a proxy callback endpoint.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`pgTicketID`
Proxy-granting ticket ID.
`private final String`
`pgTicketIOU`
Proxy-granting ticket IOU.

## Constructor Summary

Constructors
Constructor
Description
`ProxyIdentifiers(String pgtId, String pgtIou)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPgtId()`
Get the proxy-granting ticket ID.
`String`
`getPgtIou()`
Get the proxy-granting ticket IOU.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pgTicketID

@Nonnull private final String pgTicketID
Proxy-granting ticket ID.

### pgTicketIOU

@Nonnull private final String pgTicketIOU
Proxy-granting ticket IOU.

## Constructor Details

### ProxyIdentifiers

public ProxyIdentifiers(@Nonnull String pgtId, @Nonnull String pgtIou)
Constructor.

Parameters:
  `pgtId` - proxy-granting ticket ID
  `pgtIou` - proxy-granting ticket IOU

## Method Details

### getPgtId

@Nonnull public String getPgtId()
Get the proxy-granting ticket ID.

Returns:
  proxy-granting ticket ID

### getPgtIou

@Nonnull public String getPgtIou()
Get the proxy-granting ticket IOU.

Returns:
  proxy-granting ticket IOU